Package org.eclipse.net4j.util.om

# Klasse OSGiActivator.WithState

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator
org.eclipse.net4j.util.om.OSGiActivator.WithState

Alle implementierten Schnittstellen:
  `org.osgi.framework.BundleActivator`

Umschließende Klasse:
  `OSGiActivator`

public abstract static class OSGiActivator.WithState extends OSGiActivator
An OSGi `activator` that stores `bundle state` between sessions.

Seit:
  3.1
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen org.eclipse.net4j.util.om.OSGiActivator

`OSGiActivator.StateHandler, OSGiActivator.WithState`

## Feldübersicht

### Von Klasse geerbte Felder org.eclipse.net4j.util.om.OSGiActivator

`bundleContext`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`WithState(OMBundle bundle)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected final void`
`doStart()`
`protected abstract void`
`doStartWithState(Object state)`
`protected final void`
`doStop()`
`protected abstract Object`
`doStopWithState()`

### Von Klasse geerbte Methoden org.eclipse.net4j.util.om.OSGiActivator

`clone, equals, getOMBundle, hashCode, start, start, stop, stop, toString, traceStart, traceStop`

### Von Klasse geerbte Methoden java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### WithState

public WithState(OMBundle bundle)

## Methodendetails

### doStart

protected final void doStart() throws Exception

Setzt außer Kraft:
  `doStart` in Klasse `OSGiActivator`
Löst aus:
  `Exception`

### doStop

protected final void doStop() throws Exception

Setzt außer Kraft:
  `doStop` in Klasse `OSGiActivator`
Löst aus:
  `Exception`

### doStartWithState

protected abstract void doStartWithState(Object state) throws Exception

Löst aus:
  `Exception`

### doStopWithState

protected abstract Object doStopWithState() throws Exception

Löst aus:
  `Exception`